<?xml version="1.0" encoding="utf-8"?>
<!--Created on 2025-03-25 10:28:43 with the XBRLreports ESEF Creator. More info at www.xbrlreports.com-->
<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:agn="http://www.aegon.com/V202503251030" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:dtr-types="http://www.xbrl.org/dtr/type/2020-01-21" attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.aegon.com/V202503251030">
  <xs:import namespace="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor" schemaLocation="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor.xsd" />
  <xs:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xs:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <xs:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" />
  <xs:import namespace="http://www.xbrl.org/dtr/type/2020-01-21" schemaLocation="https://www.xbrl.org/dtr/type/2020-01-21/types.xsd" />
  <xs:annotation>
    <xs:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Aegon_Ltd-2024-12-31_lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-lab-en.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://www.esma.europa.eu/taxonomy/2022-03-24/esef_cor-gen-en.xml" xlink:role="http://www.xbrl.org/2003/role/linkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/labels/lab_full_ifrs-en_2022-03-24.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/labels/doc_full_ifrs-en_2022-03-24.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Aegon_Ltd-2024-12-31_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Aegon_Ltd-2024-12-31_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="Aegon_Ltd-2024-12-31_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:roleType id="StatementFinancialPosition" roleURI="http://www.aegon.com/role/StatementFinancialPosition">
        <link:definition>01 - Statement - Financial position</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementComprehensiveIncome" roleURI="http://www.aegon.com/role/StatementComprehensiveIncome">
        <link:definition>03 - Statement - Comprehensive income</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementIncomeStatement" roleURI="http://www.aegon.com/role/StatementIncomeStatement">
        <link:definition>02 - Statement - Income statement</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementComprehensiveIncomeAlternate" roleURI="http://www.aegon.com/role/StatementComprehensiveIncomeAlternate">
        <link:definition>03 - Statement - Comprehensive income Alternate</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementCashflowStatement" roleURI="http://www.aegon.com/role/StatementCashflowStatement">
        <link:definition>04 - Statement - Cash flow statement</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementChangesinEquity" roleURI="http://www.aegon.com/role/StatementChangesinEquity">
        <link:definition>05 - Statement - Changes in equity</link:definition>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="NotesAccountingPoliciesandMandatoryTags" roleURI="http://www.aegon.com/role/NotesAccountingPoliciesandMandatoryTags">
        <link:definition>06 - Notes, accounting policies and mandatory tags</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementCashflowStatementAlternate" roleURI="http://www.aegon.com/role/StatementCashflowStatementAlternate">
        <link:definition>04 - Statement - Cash flow statement Alternate</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StatementChangesinEquityAlternate" roleURI="http://www.aegon.com/role/StatementChangesinEquityAlternate">
        <link:definition>05 - Statement - Changes in equity Alternate</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
      </link:roleType>
      <link:roleType id="Anchoring" roleURI="http://www.aegon.com/role/Anchoring">
        <link:definition>07 - Anchoring</link:definition>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xs:appinfo>
  </xs:annotation>
  <xs:element id="agn_DeferredExpenses" name="DeferredExpenses" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element id="agn_OtherAssetsAndReceivables" name="OtherAssetsAndReceivables" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element id="agn_ShareholdersEquity" name="ShareholdersEquity" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element id="agn_OtherEquityInstruments" name="OtherEquityInstruments" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element id="agn_InvestmentContractLiabilitiesWithDiscretionaryParticipatingFeatures" name="InvestmentContractLiabilitiesWithDiscretionaryParticipatingFeatures" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element id="agn_InvestmentContractsWithoutDiscretionaryParticipatingFeatures" name="InvestmentContractsWithoutDiscretionaryParticipatingFeatures" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element id="agn_DeferredGains" name="DeferredGains" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element id="agn_InsuranceItemsThatMayBeReclassifiedSubsequentlyToProfitOrLossAbstract" name="InsuranceItemsThatMayBeReclassifiedSubsequentlyToProfitOrLossAbstract" type="xbrli:stringItemType" nillable="false" abstract="true" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_DiscontinuedOperationsThatWillNotBeReclassifiedNetOfTax" name="DiscontinuedOperationsThatWillNotBeReclassifiedNetOfTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_GainsLossesOnFinancialAssetsFromInsuranceContractsIssuedMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" name="GainsLossesOnFinancialAssetsFromInsuranceContractsIssuedMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_GainsLossesTransferredToIncomeStatementOnDisposalOfFinancialAssetsMeasuredAtFVOCI" name="GainsLossesTransferredToIncomeStatementOnDisposalOfFinancialAssetsMeasuredAtFVOCI" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_ChangesInCashFlowHedgingReserveOtherComprehensiveIncomeBeforeTax" name="ChangesInCashFlowHedgingReserveOtherComprehensiveIncomeBeforeTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_GainsLossesOnDisposalOfFinancialAssetsMeasuredAtFVOCIMayBeReclassifiedSubsequentlyToProfitOrLoss" name="GainsLossesOnDisposalOfFinancialAssetsMeasuredAtFVOCIMayBeReclassifiedSubsequentlyToProfitOrLoss" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_MovementOnCurrencyTranslationAndHedgesOfNetInvestmentsInForeignOperationsBeforeTax" name="MovementOnCurrencyTranslationAndHedgesOfNetInvestmentsInForeignOperationsBeforeTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_ShareOfOtherComprehensiveIncomeOfJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" name="ShareOfOtherComprehensiveIncomeOfJointVenturesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_ShareOfOtherComprehensiveIncomeOfAssociatesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" name="ShareOfOtherComprehensiveIncomeOfAssociatesAccountedForUsingEquityMethodThatWillBeReclassifiedToProfitOrLossBeforeTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_OtherComprehensiveIncomeRecognizedToGroupAssets" name="OtherComprehensiveIncomeRecognizedToGroupAssets" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_DiscontinuedOperationsThatMayBeReclassifiedNetOfTax" name="DiscontinuedOperationsThatMayBeReclassifiedNetOfTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_InsuranceInterestRevenueOnFinancialInstrumentsMeasuredAtFVPL" name="InsuranceInterestRevenueOnFinancialInstrumentsMeasuredAtFVPL" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_InsuranceOtherInvestmentIncome" name="InsuranceOtherInvestmentIncome" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_InsuranceResultsFromFinancialTransactions" name="InsuranceResultsFromFinancialTransactions" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_InsuranceImpairmentLossesReversals" name="InsuranceImpairmentLossesReversals" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_InsuranceInterestExpenses" name="InsuranceInterestExpenses" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_InsuranceNetInvestmentResult" name="InsuranceNetInvestmentResult" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_InterestRevenueOnFinancialInstrumentsCalculatedUsingTheEffectiveInterestMethod" name="InterestRevenueOnFinancialInstrumentsCalculatedUsingTheEffectiveInterestMethod" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_OtherInvestmentIncome" name="OtherInvestmentIncome" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_ResultsFromFinancialTransactions" name="ResultsFromFinancialTransactions" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_InvestmentContractIncomeExpenses" name="InvestmentContractIncomeExpenses" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_OtherNetInvestmentResult" name="OtherNetInvestmentResult" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_InterestCharges" name="InterestCharges" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_FinancingNetInvestmentResult" name="FinancingNetInvestmentResult" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_TotalNetInvestmentResult" name="TotalNetInvestmentResult" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_OtherIncomeCharges" name="OtherIncomeCharges" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_OtherResult" name="OtherResult" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_IncomeLossBeforeTaxAndShareOfProfitLossOfAssociatesAndJointVentures" name="IncomeLossBeforeTaxAndShareOfProfitLossOfAssociatesAndJointVentures" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_ProfitLossBeforeTaxFromDiscontinuedOperations" name="ProfitLossBeforeTaxFromDiscontinuedOperations" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_AdjustmentForReleaseOfCashFlowHedgingReserve" name="AdjustmentForReleaseOfCashFlowHedgingReserve" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_AdjustmentsForNoncashItems" name="AdjustmentsForNoncashItems" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_AdjustmentsForInvestmentContractsWithoutDiscretionaryParticipatingFeatures" name="AdjustmentsForInvestmentContractsWithoutDiscretionaryParticipatingFeatures" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_AdjustmentsForAccruedExpensesAndOtherLiabilities" name="AdjustmentsForAccruedExpensesAndOtherLiabilities" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_AdjustmentsForAccruedIncomeAndPrepayments" name="AdjustmentsForAccruedIncomeAndPrepayments" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_ChangesInAccruals" name="ChangesInAccruals" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_AdjustmentsForReinsuranceContractsHeld" name="AdjustmentsForReinsuranceContractsHeld" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_PurchaseOfInvestmentsOtherThanMoneyMarketInvestments" name="PurchaseOfInvestmentsOtherThanMoneyMarketInvestments" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_PurchaseOfDerivativesClassifiedAsOperatingActivities" name="PurchaseOfDerivativesClassifiedAsOperatingActivities" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_DisposalOfInvestmentsOtherThanMoneyMarketInvestments" name="DisposalOfInvestmentsOtherThanMoneyMarketInvestments" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_DisposalOfDerivativesClassifiedAsOperatingActivities" name="DisposalOfDerivativesClassifiedAsOperatingActivities" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_NetPurchaseOfMoneyMarketInvestments" name="NetPurchaseOfMoneyMarketInvestments" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_CashFlowMovementsOnOperatingItemsNotReflectedInIncome" name="CashFlowMovementsOnOperatingItemsNotReflectedInIncome" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_ChangeInOwnershipNonControllingInterests" name="ChangeInOwnershipNonControllingInterests" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_DisposalOfGroupAssets" name="DisposalOfGroupAssets" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_IssuanceAndPurchaseOfTreasuryShares" name="IssuanceAndPurchaseOfTreasuryShares" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_CouponsOnPerpetualSecurities" name="CouponsOnPerpetualSecurities" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_RedemptionOtherEquityInstruments" name="RedemptionOtherEquityInstruments" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_DisclosureOfDeferredExpensesExplanatory" name="DisclosureOfDeferredExpensesExplanatory" type="nonnum:textBlockItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_DividendWithholdingTaxReduction" name="DividendWithholdingTaxReduction" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_InterestIncomeOnFinancialInstrumentsUsingTheEffectiveInterestMethod" name="InterestIncomeOnFinancialInstrumentsUsingTheEffectiveInterestMethod" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_IncomeTaxRelatingToInsuranceItemsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" name="IncomeTaxRelatingToInsuranceItemsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_ChangesInCashFlowHedgingReserveFromInsuranceContractsIssuedExcludedFromProfitAndLossBeforeTax" name="ChangesInCashFlowHedgingReserveFromInsuranceContractsIssuedExcludedFromProfitAndLossBeforeTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_IncomeTaxRelatingToItemsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" name="IncomeTaxRelatingToItemsOfOtherComprehensiveIncomeThatWillBeReclassifiedToProfitOrLoss" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_ResultBeforeTaxFromContinuingAndDiscontinuedOperations" name="ResultBeforeTaxFromContinuingAndDiscontinuedOperations" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_AdjustmentForIncomeFromJointVentures" name="AdjustmentForIncomeFromJointVentures" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_GainsLossesOnFinancialAssetsFromNonInsuranceItemsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" name="GainsLossesOnFinancialAssetsFromNonInsuranceItemsMeasuredAtFairValueThroughOtherComprehensiveIncomeBeforeTax" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_NonInsuranceInterestRevenueOnFinancialInstrumentsMeasuredAtFVPL" name="NonInsuranceInterestRevenueOnFinancialInstrumentsMeasuredAtFVPL" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_NonInsuranceImpairmentLossesReversals" name="NonInsuranceImpairmentLossesReversals" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_NonInsuranceInterestExpenses" name="NonInsuranceInterestExpenses" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_DilutedEarningsPerCommonShare" name="DilutedEarningsPerCommonShare" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_BasicEarningsPerCommonShare" name="BasicEarningsPerCommonShare" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_BasicEarningsPerCommonShareFromContinuingOperations" name="BasicEarningsPerCommonShareFromContinuingOperations" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_DilutedEarningsPerCommonShareFromContinuingOperations" name="DilutedEarningsPerCommonShareFromContinuingOperations" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_InsuranceContractLiabilitiesExcludingInvestmentContract" name="InsuranceContractLiabilitiesExcludingInvestmentContract" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element id="agn_RevaluationReserveMember" name="RevaluationReserveMember" type="dtr-types:domainItemType" nillable="true" abstract="true" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_OtherEquityReserveMember" name="OtherEquityReserveMember" type="dtr-types:domainItemType" nillable="true" abstract="true" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_OtherEquityInstrumentsMember" name="OtherEquityInstrumentsMember" type="dtr-types:domainItemType" nillable="true" abstract="true" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_TrustPassThroughSecurities" name="TrustPassThroughSecurities" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="credit" />
  <xs:element id="agn_AdjustmentsForInvestmentContractsWithDiscretionaryParticipatingFeatures" name="AdjustmentsForInvestmentContractsWithDiscretionaryParticipatingFeatures" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_OtherComprehensiveIncomeRecognizedToAssociates" name="OtherComprehensiveIncomeRecognizedToAssociates" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_FinancialAssetsExcludingDerivatives" name="FinancialAssetsExcludingDerivatives" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="instant" xbrli:balance="debit" />
  <xs:element id="agn_AdjustmentsForInsuranceContracts" name="AdjustmentsForInsuranceContracts" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
  <xs:element id="agn_DiscontinuedOperationsThatMayBeReclassifiedNetOfTaxReclassifiedFromReserveOfDiscontinuedOperationsHeldForSale" name="DiscontinuedOperationsThatMayBeReclassifiedNetOfTaxReclassifiedFromReserveOfDiscontinuedOperationsHeldForSale" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_DiscontinuedOperationsThatWillNotBeReclassifiedNetOfTaxReclassifiedFromReserveOfDiscontinuedOperationsHeldForSale" name="DiscontinuedOperationsThatWillNotBeReclassifiedNetOfTaxReclassifiedFromReserveOfDiscontinuedOperationsHeldForSale" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="credit" />
  <xs:element id="agn_BasicEarningsPerCommonShareB" name="BasicEarningsPerCommonShareB" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_DilutedEarningsPerCommonShareB" name="DilutedEarningsPerCommonShareB" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_BasicEarningsPerCommonShareBFromContinuingOperations" name="BasicEarningsPerCommonShareBFromContinuingOperations" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_DilutedEarningsPerCommonShareBFromContinuingOperations" name="DilutedEarningsPerCommonShareBFromContinuingOperations" type="dtr-types:perShareItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" />
  <xs:element id="agn_AdjustmentsForResultsFromInsuranceReinsuranceAndInvestmentContracts" name="AdjustmentsForResultsFromInsuranceReinsuranceAndInvestmentContracts" type="xbrli:monetaryItemType" nillable="true" abstract="false" substitutionGroup="xbrli:item" xbrli:periodType="duration" xbrli:balance="debit" />
</xs:schema>